io.netty.handler.codec.mqtt

## Class MqttUnsubAckPayload

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttUnsubAckPayload

    public final class MqttUnsubAckPayload
    extends Object

Payload for MQTT unsuback message as in V5.

### Constructor Summary

Constructors
Constructor and Description
`MqttUnsubAckPayload(Iterable<Short> unsubscribeReasonCodes)`
`MqttUnsubAckPayload(short... unsubscribeReasonCodes)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`List<Short>` `unsubscribeReasonCodes()`
`static MqttUnsubAckPayload` `withEmptyDefaults(MqttUnsubAckPayload payload)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttUnsubAckPayload

    public MqttUnsubAckPayload(short... unsubscribeReasonCodes)

#### MqttUnsubAckPayload

    public MqttUnsubAckPayload(Iterable<Short> unsubscribeReasonCodes)

### Method Detail

#### withEmptyDefaults

    public static MqttUnsubAckPayload withEmptyDefaults(MqttUnsubAckPayload payload)

#### unsubscribeReasonCodes

    public List<Short> unsubscribeReasonCodes()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`